aboutsummaryrefslogtreecommitdiffstats
path: root/doc
diff options
context:
space:
mode:
authorDaniel Willmann <dwillmann@sysmocom.de>2019-06-19 12:15:29 +0200
committerDaniel Willmann <dwillmann@sysmocom.de>2019-06-19 12:46:01 +0200
commit876edd5e350ef3264fa82f1466443d16ccb38d63 (patch)
tree136c000ca2f924c84c68c644786e89f18daa7e7b /doc
parent5a3eb6470ddee9342455ac7f7c17318d7c3c7444 (diff)
manuals: Add script to regenerate counter/vty documentation
This will generate the VTY/counter documentation for osmo-bts-virtual so it will be missing documentation for device-specific commands/counters. Change-Id: Idebb099b69924d6212db119f7a2f2861d4150d7e Related: OS#1700
Diffstat (limited to 'doc')
-rw-r--r--doc/manuals/Makefile.am1
-rwxr-xr-xdoc/manuals/regen_doc.sh17
2 files changed, 18 insertions, 0 deletions
diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile.am
index 1d8125f1..e8018d57 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile.am
@@ -6,6 +6,7 @@ EXTRA_DIST = dtx.dot \
osmobts-vty-reference.xml \
rtp-amr.adoc \
rtp-amr-docinfo.xml \
+ regen_doc.sh \
abis \
chapters \
vty
diff --git a/doc/manuals/regen_doc.sh b/doc/manuals/regen_doc.sh
new file mode 100755
index 00000000..6ff5091a
--- /dev/null
+++ b/doc/manuals/regen_doc.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+ echo "You need to set DOCKER_PLAYGROUND"
+ exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_BTS_BRANCH=$COMMIT ./regen_doc.sh osmo-bts 4241 \
+ "$MANUAL_DIR/chapters/counters_generated.adoc" \
+ "$MANUAL_DIR/vty/bts_vty_reference.xml"